Page MenuHomePhabricator

Extend QueryRepresentation to contain a list of conditions
Closed, ResolvedPublic

Description

  • query getter should always return a list of conditions
  • implement in a way that makes it straight forward to incorporate "OR" connections
  • "buildQuery" should produce the correct sparql for multiple conditions
  • sync with @Jakob_WMDE on how the new QueryRepresentation looks like

Event Timeline

Michael created this task.Dec 1 2020, 2:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 1 2020, 2:21 PM
Ladsgroup claimed this task.Dec 4 2020, 8:32 AM
Ladsgroup added a subscriber: Ladsgroup.

https://github.com/wmde/query-builder/pull/94

implement in a way that makes it straight forward to incorporate "OR" connections

There are two ways with this, one is to make it part of the condition OR (pun intended) make a new list containing the relation between conditions.

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptDec 4 2020, 8:32 AM
Lydia_Pintscher closed this task as Resolved.Dec 9 2020, 10:14 AM
Maintenance_bot moved this task from Incoming to Done on the User-Ladsgroup board.Dec 9 2020, 10:15 AM